@import 'butter-themes';
@import 'butter-mixins';
@import url('https://fonts.googleapis.com/css2?family=Space+Mono&display=swap');
@include font-face($name: $font-sans, $path: '#{$font-path}lineto-circular-pro-book', $exts: eot woff2 woff);
@include font-face($name: $font-sans-bold, $path: '#{$font-path}lineto-circular-pro-bold', $exts: eot woff2 woff);
// Layout:
html {
  @include font(16px,24px,$font-sans);
}
html, body, #__nuxt , #__layout {
  @include flex($dir: column, $grow: 1, $shrink: 0, $basis: 100%);
  height: 100%;
  overflow: hidden;
  margin: 0;
}
.theme {
  @include flex($grow: 1, $shrink: 0, $basis: 100%);
}
.layout {
  @include butter-layout;
  @include butter-site;
  @include butter-type;
  // Shared Components
  .page, .subpage, .formpage {
    @include page;
  }

  button, input[type=submit], a.button {
    @include button;
  }

  .progress-icon {
    @include progress-icon;
  }

  .flex.row {
    @include flex(row);
  }

  .flex.column {
    @include flex($dir:column,$grow:1,$shrink:0);
  }

  .description-list {
    @include description-list;
  }

  .icon {
    @include icon;
  }

  .transaction-item {
    @include transaction-item;
  }

  .modal {
    @include modal;
  }

  .modal-overlay {
    @include modal-overlay;
  }

  .modal.small {
    @include modal-small;
  }

  .modal.medium {
    @include modal-medium;
  }

  .modal.page {
    @include modal-app;
  }

  .named-list {
    @include named-list;
  }

  .filtered-content {
    @include filtered-content;
  }

  .empty {
    @extend %empty;
  }

  .form-field, .form-select {
    @include form-field;
  }

  .select-list {
    @include select-list;
  }

  .date-picker {
    @include date-picker;
  }
}
